org.licas.security

## Class FaultManager

- java.lang.Object
- - org.licas.security.FaultManager

-     public class FaultManager
      extends java.lang.Object

  This class processes the different fault types passed through the system and adds them to the fault tree

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FaultManager(ESB theESB, PasswordHandler thePasswordHandler, LinkSpec linkSpec)` Create a new instance of FaultManager.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Link_NM` | `getFaultsTree()` Get the faults list tree.
    `void` | `notifyOfFault(FaultDetails fault)` This method should be called to notify the server about a problem or fault.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FaultManager

          public FaultManager(ESB theESB,
                              PasswordHandler thePasswordHandler,
                              LinkSpec linkSpec)
                       throws java.lang.Exception

      Create a new instance of FaultManager.
      Parameters:
        `theESB` - the server ESB.
        `thePasswordHandler` - the server password handler.
        `linkSpec` - dynamic linking spec for the fault tree.
      Throws:
        `java.lang.Exception` - any error.

  - ### Method Detail

    - #### notifyOfFault

          public void notifyOfFault(FaultDetails fault)

      This method should be called to notify the server about a problem or fault. It could also happen automatically through the autonomic manager, for example, but extra coding is required for that. The fault details are read and stored in a tree structure for analysis. Only minimal additional action is taken, such as removing or blocking the offending entity. See the documentation for more details.
      Parameters:
        `fault` - a description of the fault.

    - #### getFaultsTree

          public Link_NM getFaultsTree()

      Get the faults list tree.
      Returns:
        the value of faults.